Skip to content

Create a subscription

POST
/subscriptions
curl --request POST \
--url https://api.bizzle.my/v1/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "customer_email": "[email protected]", "customer": "example", "product": "example", "interval": "weekly", "metadata": {} }'
Idempotency-Key
string
<= 255 characters

Unique identifier used to replay requests safely.

Media typeapplication/json
object
customer_email
required
string format: email
customer

Customer id (cus_…) to reference

string
product
required
string
interval
string
default: monthly
Allowed values: weekly monthly yearly
metadata
object

Subscription created.

Error response.

Media typeapplication/json
object
error
required
string
message
string
code
string
details
object

Example generated

{
"error": "example",
"message": "example",
"code": "example",
"details": {}
}

Error response.

Media typeapplication/json
object
error
required
string
message
string
code
string
details
object

Example generated

{
"error": "example",
"message": "example",
"code": "example",
"details": {}
}

Too many requests.

Media typeapplication/json
object
error
required
string
message
string
code
string
details
object

Example generated

{
"error": "example",
"message": "example",
"code": "example",
"details": {}
}
RateLimit-Limit
integer

Maximum requests per window.

RateLimit-Remaining
integer

Requests remaining in the current window.

RateLimit-Reset
integer

Unix seconds when the window resets.

Retry-After
integer

Seconds to wait before retrying (on 429/handled outages).